Bug 1972381 - Repos are published at localhost not FQDN
Summary: Repos are published at localhost not FQDN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-15 18:55 UTC by Stephen Wadeley
Modified: 2021-11-16 14:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:11:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32362 0 Normal Closed katello pulp url setting in katello.yaml is no longer set by the installer and the default uses localhost rather than FQ... 2021-07-06 13:56:54 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:12:05 UTC

Description Stephen Wadeley 2021-06-15 18:55:03 UTC
Description of problem:

 Repos are published at localhost not FQDN

Version-Release number of selected component (if applicable):
6.10.0-4.0

How reproducible:
Every time

Steps to Reproduce:
1. Create Product
2. Create custom repo
3. See "Published At"


Actual results:

https://localhost/pulp/content/Default_Organization/Library/custom/TestProduct/CustomRepo/

Expected results:

Use FQDN not localhost


Additional info:
Also tested with Satellite Tools

My test Satellite was made using change-host-name script

Comment 1 Justin Sherrill 2021-07-06 13:56:53 UTC
Connecting redmine issue https://projects.theforeman.org/issues/32362 from this bug

Comment 5 errata-xmlrpc 2021-11-16 14:11:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.